%\begin{multicols}{3}
\section{Discussion}


% this is rather discussion here...
\subsection{YGR159C (NSR1) is a nuclear import protein}
The Nuclear-localisation binding protein NSR1 is involved in nuclear import of proteins and has been 
identified as an auxiliary factor for ribosome biogenesis \cite{nsr1_first, nsr_second}. NSR1 has 
two known RNA-recognition motifs (RRMs) alongside with a nuclear-localisation signal recognition 
motif \cite{nsr_second}. As a consequence of this dual binding-capacity, NSR1 has been suggested to 
function as a chaperone for ribosomal proteins and to provide guiding links between pre-ribosomal RNA 
and ribosomal proteins during ribosome biogenesis. As such it would be a prime candidate to replace 
the lost ACL4 and guide RPL4 into its ribosomal assembly site. 
NSR1 shows in total 26 mutations, the most impactful one being a nonsense mutation at p.Glu54 that truncates 
the protein to about a quarter of its length. The loss of such a substantial part of its sequence may likely result in loss-of-function and thereby negate the proposition of NSR1 being a promising candidate. 
However, \textit{in silico} prediction of the likelihood of interaction between RPL4 and truncated NSR1 based on their amino acid sequences 
actually suggested a 41\% chance of interaction between the two proteins, whereas a 0\% interaction likelihood was predicted for full-length NSR1 (prediction done by PSOPIA Webserver). 
Hence, a possible model might be outlined wherein truncated NSR1 takes over the role of the depleted ACL4 and chaperones RPL4 from the cytoplasm into the nucleus, where it may be assembled into the ribosome. 
Given that this model of NSR1-mediated rescue assumes that truncated NSR1 retains its primary ability for nuclear import to at least some degree, assessing NSR1 localisation through immunofluorescent microscopy might be considered as starting point for experimental evaluation of this model. 

\subsection{YML103C (NUP188) and YGR119C (NUP57) are constituents of the Nuclear Pore Complex}
The nucleoporins YML103C (NUP188) and YGR119C (NUP57 in yeast, NUP54 in humans) are both constituents of the inner structure of the nuclear pore complex. 
While neither protein shows high impact mutations, they accumulate a small number of miss-sense mutations alongside with a small consecutive in-frame insertion (NUP57) or deletion (NUP188), respectively. 
There is currently no data to indicate that either NUP188 nor NUP57 are primary factors that would explain the observed suppressor-phenotype. Instead, in the model outlined above they may function as auxiliary
factors that allow truncated NSR1 to fulfil its nuclear import function despite having lost substantial parts of its sequence. 

\subsection{Ribosomal Biogenesis Factors}
The candidate genes outlined above follow a model of NSR1-mediated rescue to complement for loss of ACL4 and reconstitute RPL4 into the ribosome. 
An alternative to this model may be that RPL4 remains lost to the ribosome but is simply (at least partially) complemented by some other 
ribosomal protein. Indeed, for this model a mutant ribosomal protein candidate would be of primary interest. However, only one such ribosomal protein candidate could be identified and we do not consider this to be a truly promising candidate (see below).
Hence, an a second model may be proposed, wherein a mutant ribosome biogenesis factor either causes alternative rRNA processing that stabilises the large ribosomal subunit in spite of RPL4-loss, or, alternatively, 
mediates aberrant integration of another ribosomal protein into the large ribosomal subunit, whereby at least partial structural stability is achieved. 
YKL014C (URB1), YLR221C (RSA3), YKR063C (LAS1L), and YKR092C (SRP40) are the most highly mutant ribosome biogenesis factors found within the dataset. 
Consequently, they would be the most likely candidates to be involved in this second model of alternative ribosome-stabilisation.
URB1, RSA3, and LAS1L are primarily associated with rRNA preprocessing, making them prime candidates for a possible alternative rRNA-stabilisation model \cite{urb1, rsa3, las1l}.
SRP40 is a molecular chaperone that has been associated with small ribonucleoprotein complexes in ribosome assembly and may thus be a candidate for a possible alternative-ribosomal component replacement model \cite{srp40}.
However, while all of these proteins have been characterised as being essential for large-subunit biogenesis, none of them have a clear link to RPL4 or offer immediate solutions to RPL4- or ACL4-loss. 
Hence, the evidence for the alternative-stabilisation model either by rRNA processing or protein-substitution is considerably more sparse and less convincing compared to the NSR1-rescue model, which makes the rescue model a more probable model to explain the observed phenotype.   

\subsection{Ribosome Constituents}
The only ribosome component identified as a primary candidate was YHL033C (RPL8A), which showed eight moderate-impact miss-sense variants. However, examining these more closely, reveals that they are further sub-divisible into only two re-occurring miss-sense mutations. Hence, it seems very unlikely that RPL8A is involved in the observed suppressor-phenotype.
\\

Taken together our findings point to a model wherein loss of ACL4, and thereby loss of RPL4, is compensated by a mutant NSR1 that replaces ACL4 and mediates alternative nuclear import of RPL4. 
Thereby, the large ribosomal subunit may be properly assembled, resulting in a normal growth phenotype. Mutant NSR1 may be assisted in its function by variant versions of components of the nuclear pore complex as auxiliary factors.
A second model could be formulated wherein an alternative large ribosomal subunit is formed either through alternative rRNA processing or aberrant incorporation of another ribosomal protein to compensate for RPL4-loss. 
We have identified potential gene candidates for either of these models. 
While a third conceivable scenario may be a mutant ribosomal protein that compensates directly for RPL4-loss, our data does not suggest so, and no promising candidates could be identified for this case. 



%\end{multicols}